Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class AttributeStatementType

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.StatementAbstractType
          oasis.names.tc.saml._2_0.assertion.AttributeStatementType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IAMAttributeStatement

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:32+02:00",
               comments="JAXB RI v2.2.6")
    public class AttributeStatementType

extends StatementAbstractType
implements Serializable

Java class for AttributeStatementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributeStatementType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
           <choice maxOccurs="unbounded">
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAttribute"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AttributeStatementType()`

Method Summary
`List<Serializable>` | `getAttributesAndEncryptedAttributes()` Gets the value of the attributesAndEncryptedAttributes property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeStatementType

    public AttributeStatementType()

Method Detail

### getAttributesAndEncryptedAttributes

    public List<Serializable> getAttributesAndEncryptedAttributes()

  Gets the value of the attributesAndEncryptedAttributes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributesAndEncryptedAttributes property.

  For example, to add a new item, do as follows:

          getAttributesAndEncryptedAttributes().add(newItem);

  Objects of the following type(s) are allowed in the list `Attribute` `EncryptedElementType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.